bugLordsAWar! - Bugs: bug #32481, Deb-Package

 
 

bug #32481: Deb-Package

Submitted by:  Martin Thoma <moose>
Submitted on:  Mon 14 Feb 2011 11:03:57 PM UTC  
 
Category: gameSeverity: 1 - Wish
Item Group: NoneStatus: None
Privacy: PublicAssigned to: None
Open/Closed: Open

Add a New Comment (Rich MarkupRich Markup):
   

You are not logged in

Please log in, so followups can be emailed to you.

 

Mon 22 Oct 2012 11:00:08 PM UTC, comment #4:

Package: lordsawar
New: yes
State: not installed
Version: 0.2.0-2
Priority: extra
Section: universe/games
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Architecture: amd64
Uncompressed Size: 27.4 M
Depends: libatkmm-1.6-1 (>= 2.22.1), libc6 (>= 2.4), libcairomm-1.0-1 (>=
1.6.4), libexpat1 (>= 1.95.8), libgcc1 (>= 1:4.1.1), libglib2.0-0 (>=
2.22.0), libglibmm-2.4-1c2a (>= 2.30.0), libgtkmm-2.4-1c2a (>=
1:2.24.0), libpango1.0-0 (>= 1.18.0), libpangomm-1.4-1 (>= 2.27.1),
libsdl-mixer1.2, libsdl1.2debian (>= 1.2.10-1), libsigc++-2.0-0c2a (>=
2.0.2), libstdc++6 (>= 4.6), libtar0, zlib1g (>= 1:1.1.4),
lordsawar-data (= 0.2.0-2)
Conflicts: lordsawar
Description: Clone of the popular SSG game Warlords II
A 2d turn-based strategy game where up to 8 players strive for control of as
many cities as possible. Produce new armies in cities to conquer nearby
cities. Using the income from those cities, make more armies to take more
cities. Send a hero to a temple to get a quest, or maybe search a nearby ruin
instead. Game should run well on modest hardware.

Play with others or against the computer. Network play is currently broken.
Homepage: http://www.lordsawar.com

Eric S. Raymond <esr>
Mon 22 Oct 2012 02:27:40 PM UTC, comment #3:

Yikes. this is bad. just for completeness sake, can you please report the version number? Also a backtrace would be swell, because I'm not running ubuntu.

Ben Asselstine <benasselstine>
Project Administrator
Tue 09 Oct 2012 04:35:30 AM UTC, comment #2:

The Ubunntu Lordsawar binary package dies with a buffer overflow on startup.

CreateScenario.cpp: 555: CreateScenario::setupRuins
CreateScenario.cpp: 640: CreateScenario::setupPlayers
CreateScenario.cpp: 452: CreateScenario::distributePlayers
CreateScenario.cpp: 501: CreateScenario::setupCities
CreateScenario.cpp: 614: CreateScenario::setupSignposts
CreateScenario.cpp: 359: CreateScenario::dump

      • buffer overflow detected ***: lordsawar terminated

======= Backtrace: =========
/lib/x86_64-linux-gnu/libc.so.6(__fortify_fail+0x37)[0x7f644c168007]
/lib/x86_64-linux-gnu/libc.so.6(+0x107f00)[0x7f644c166f00]
/lib/x86_64-linux-gnu/libc.so.6(+0x1071e6)[0x7f644c1661e6]
/usr/lib/libtar.so.0(th_finish+0x2f)[0x7f644d0762ef]
/usr/lib/libtar.so.0(th_write+0x51)[0x7f644d075dc1]
/usr/lib/libtar.so.0(tar_append_file+0x1c0)[0x7f644d0757f0]
lordsawar[0x5aae5d]
lordsawar[0x5aaf58]
lordsawar[0x5145e0]
lordsawar[0x5f196c]
lordsawar[0x6921fc]

Eric S. Raymond <esr>
Mon 14 Feb 2011 11:21:53 PM UTC, comment #1:

I have handed-off package management to the maintainers of their respective distros.

Currently the only way to get the latest and greatest version of lordsawar is to compile it yourself. The distros will always be lagging behind -- I suspect that's why you want the new .deb file available on lordsawar.com

If somebody wants to make an up to date .deb file, then I'll definitely make a link available on the website. And if somebody in the Ubuntu community wants to make a ppa, I'll link to that too. Having a buildbot would be great too, where it makes new packages every time the source changes. But this is work that I won't be doing, so someone else will have to.

I can help you with compiling the latest version of the game on your system though.

Ben Asselstine <benasselstine>
Project Administrator
Mon 14 Feb 2011 11:03:57 PM UTC, original submission:

Hi,

in the Ubuntu-Repository for Ubuntu 10.04 (lucid) is Version 1.6 of LordsAWar. I would realy like to have the new version of LordsAWar with the german translation as a deb-package. For this package should also be a download on the website.

Other sources of LordsAWar deb-Packages:

Who can help?
Maybe the Debian Games Team (pkg-games-devel@lists.alioth.debian.org and http://qa.debian.org/developer.php?login=pkg-games-devel@lists.alioth.debian.org#lordsawar )

What has changed since 1.6?

  • artwork
  • improved AI
  • improved editors
  • crashing bugs removed
  • made two fun new items that can be "used"
Martin Thoma <moose>
Project Member

 

(Note: upload size limit is set to 16384 kB, after insertion of the required escape characters.)

Attach File(s):
   
   
Comment:
   

No files currently attached

 

Depends on the following items: None found

Items that depend on this one: None found

 

Carbon-Copy List
  • -unavailable- added by esr (Posted a comment)
  • -unavailable- added by benasselstine (Posted a comment)
  • -unavailable- added by moose (Submitted the item)
  •  

    Do you think this task is very important?
    If so, you can click here to add your encouragement to it.
    This task has 0 encouragements so far.

    Only logged-in users can vote.

     

    Please enter the title of George Orwell's famous dystopian book (it's a date):

     

     

    No Changes Have Been Made to This Item

    Back to the top


    Powered by Savane 3.1-cleanup